#!/bin/sh

name="catdoc"
title="catdoc"
package="catdoc"
version="0.91.5"
build="1"
noarch="n"
build_info="Standard build."

info="Reads MS Word files and extracts only text."
desc="Catdoc doesn't attempt to analyze Word file formatting (it
just extracts readable text), but it is able to handle all
versions of Word and convert character encodings. A Tcl/Tk
graphical viewer is included as well. Version 0.91.2 and
above also include an Excel file converter."
category="viewer/text"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="COPYING,CREDITS,INSTALL,NEWS,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.ice.ru/pub/vitus/$name-$version.tar.gz

apply_patch catdoc-share.pw.patch

configure_option --prefix=/usr
configure_option --with-install-root=$pkg_main
configure_option --with-input=cp1250
configure_option --with-output=8859-1

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: catdoc.builder,v $
# Revision 1.6  2003/01/12 13:21:22  swiergot
# - Build 1.
#
# Revision 1.5  2003/01/12 13:13:00  swiergot
# - Set default input and output charsets.
#
# Revision 1.4  2003/01/12 12:44:31  swiergot
# - Upgraded the share patch to fix also paths in binaries.
#
# Revision 1.3  2003/01/12 12:29:17  swiergot
# - Added missing share patch.
#
# Revision 1.2  2003/01/12 12:10:46  swiergot
# - Added a share patch to change architecture-independent data directory from
#   usr/lib to usr/share.
#
# Revision 1.1  2003/01/11 22:43:28  swiergot
# - Initial release.
# - Version 0.91.5.
#
